Summary:	A Clamav Antivirus Redirector for Squid
Name:		squidclamav
Version:	3.9
Release:	%mkrel 2
Group:		System/Servers
License:	GPLv2
URL:		http://sourceforge.net/projects/squidclamav/
Source0:	http://kent.dl.sourceforge.net/sourceforge/squidclamav/squidclamav-%{version}.tar.gz
Patch0:		squidclamav-mdv_conf.diff
BuildRequires:	curl-devel
Requires:	squid curl clamav clamd
Suggests:	squidGuard
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SquidClamAv is a dedicated ClamAV antivirus redirector for Squid. It can run
antivirus checks based on filename regex, content-type regex, and more. It is
easy to install and works even with heavy Squid access. 

%prep

%setup -q
%patch0 -p0

chmod 644 ChangeLog README clwarn.cgi*

%build

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}/var/log/squidclamav

install -m0644 squidclamav.conf.dist %{buildroot}%{_sysconfdir}/squidclamav.conf
install -m0755 clwarn.cgi %{buildroot}/var/www/cgi-bin/

# fix logrotate entries
cat > squidclamav.logrotate << EOF
/var/log/squidclamav/squidclamav.log {
    rotate 5
    monthly
    missingok
    notifempty
}
EOF
install -m0644 squidclamav.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/squidclamav

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README clwarn.cgi.*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/squidclamav.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/squidclamav
%attr(0755,root,root) %{_bindir}/squidclamav
%attr(0755,root,root) /var/www/cgi-bin/clwarn.cgi
%attr(0755,squid,squid) %dir /var/log/squidclamav


%changelog
* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.9-2mdv2010.0
+ Revision: 445227
- rebuild

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.9-1mdv2009.1
+ Revision: 315152
- 3.9

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8-1mdv2009.1
+ Revision: 311855
- 3.8
- rediffed P0

* Fri Oct 24 2008 Oden Eriksson <oeriksson@mandriva.com> 3.7-1mdv2009.1
+ Revision: 296937
- added more fixes
- import squidclamav


